TechDraw: Punti mediani

From FreeCAD Documentation
Revision as of 20:17, 22 April 2020 by Renatorivo (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano
Arrow-left.svg TechDraw CosmeticVertex.svg Vertice cosmetico Pagina precedente:
Pagina successiva: Quadrante TechDraw Quadrants.svg Arrow-right.svg

TechDraw Midpoints.svg Punti mediani

Nome nel codice
TechDraw Midpoints
Posizione nel menu
TechDraw → Aggiungi vertici → Punti mediani
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Vertice cosmetico, Quadrante


Descrizione

Lo strumento Punti mediani aggiunge dei vertici cosmetici nei punti medi di uno o più bordi.

TechDraw CosmeticMidpoint Sample.png

Vertici cosmetici nei punti mediani dei bordi


Utilizzo

  1. Selezionare uno o più bordi in una vista.
  2. Premere il pulsante TechDraw Midpoints.svg Punti mediani
  3. I vertici cosmetici vengono aggiunti nei punti medi dei bordi.

Per eliminare un punto mediano, selezionarlo e utilizzare il pulsante della barra degli strumenti TechDraw CosmeticEraser.svg Rimuovi oggetto cosmetico.

Proprietà

I vertici cosmetici non hanno proprietà proprie, in quanto non sono dei Document Objects. Condividono le impostazioni di colore e dimensione con i normali vertici della geometria.

Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

In questo momento i vertici cosmetici non sono accessibili dalle macro o dalla console Python. Questo snippet rimuoverà tutti i vertici cosmetici dalla vista.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()


Arrow-left.svg TechDraw CosmeticVertex.svg Vertice cosmetico Pagina precedente:
Pagina successiva: Quadrante TechDraw Quadrants.svg Arrow-right.svg